/* Bistroteket gruppen AB */

/* Animationer */
@import url('/resources/scripts/aos/2.3.1/aos.css');

/* ==========================================================================
Generellt 
========================================================================== */
:root {
    /* Colors */
    --primary-color: 101, 126, 63;
    --secondary-color: 25, 37, 65;
    --secondary-light-color: 67, 79, 106;

    --black-color: 17, 17, 17;
    --gray-dark-color: 58, 58, 58;
    --gray-color: 209, 205, 199;
    --gray-light-color: 237, 237, 233;
    --white-color: 255, 255, 255;

    /* Layout */
    --section-width: 140rem;
    --col-padding: 3rem;
    --menu-height: 8rem;
    --menu-height-scrolled: 8rem;

    /* Typography */
    --base-size: 1.6rem;

    /* Mobile nav */
    --activate-mobile-menu: 1100;
    --mobile-menu-height: 6rem;
    --mobile-menu-bg: var(--white-color);
    --menu-color: var(--black-color);
}

@media only screen and (max-width: 580px) {
    :root {
        --base-size: 1.5rem;
    }
}

/* Layout
========================================================================== */
.section-block {
    padding: 10rem 5rem;
}

/* Paddings */
.p-2 .section-block,
.p-2:not(.section-wrapper) {
    padding: 2rem;
}

.p-3 .section-block,
.p-3:not(.section-wrapper) {
    padding: 3rem;
}

.p-4 .section-block,
.p-4:not(.section-wrapper) {
    padding: 4rem;
}

.pb-0 .section-block,
.pb-0:not(.section-wrapper) {
    padding-bottom: 0;
}

/* Margins */
.mb-2 {
    margin-bottom: 2rem;
}

.mb-3 {
    margin-bottom: 3rem;
}

/* Specifika bredder */
.mw-none .section-block-wrapper {
    max-width: none;
}

.mw-90 .section-block-wrapper {
    max-width: 90rem;
}

@media only screen and (max-width: 1024px) {
    .section-block {
        padding: 8rem 3rem;
    }
}

@media only screen and (max-width: 580px) {
    .section-block {
        padding: 5rem 2rem;
    }
}

/* Text och typsnitt
========================================================================== */
body {
    font-family: 'Roboto Mono', monospace;
}

.text-label {
    font-size: 1.7rem;
    font-weight: 400;
    text-transform: uppercase;
    padding-bottom: 1em;
    letter-spacing: .2rem;
    font-family: 'Yanone Kaffeesatz', sans-serif;
}

.section-title {
    font-size: 5rem;
    font-weight: 400;
    line-height: 1.2;
    padding-bottom: .5em;
    font-family: 'Yanone Kaffeesatz', sans-serif;
}

.small-title {
    font-weight: 400;
    font-size: 2.8rem;
    line-height: 1.4;
    padding-bottom: .7em;
    font-family: 'Yanone Kaffeesatz', sans-serif;
}

/* Brodtext och lankar */
p,
li {
    font-weight: 400;
    color: rgb(var(--gray-dark-color));
}

/* Ovriga klasser */
.text-block {
    max-width: 70rem;
}

.text-block-center {
    max-width: 80rem;
    margin-left: auto;
    margin-right: auto;
}

.text-bold {
    font-weight: 700;
}

.text-center {
    text-align: center;
}

@media only screen and (max-width: 1200px) {
    .section-title {
        font-size: 3.8rem;
    }

    .small-title {
        font-size: 2.2rem;
    }
}

@media only screen and (max-width: 580px) {
    .section-title {
        font-size: 3.3rem;
    }

    .small-title {
        font-size: 2rem;
    }
}

/* Knappar och speciella lankar
========================================================================== */
.btn-wrapper {
    margin-top: 2rem;
}

.btn-wrapper.center {
    text-align: center;
}

/* Knappar */
.btn,
.ContactSubmit {
    min-width: 18rem;
    padding: 1.4rem 2.2rem;
    margin: 7px;
    font-family: 'Yanone Kaffeesatz', sans-serif;
    font-weight: 400;
    letter-spacing: 0.2rem;
    font-size: 1.6rem;
    text-transform: uppercase;
    border-radius: 1rem;
    text-align: center;
    text-decoration: none;
    transition: all .4s ease;
}

.btn-primary-filled,
.ContactSubmit {
    color: rgb(var(--white-color));
    background-color: rgb(var(--primary-color));
}

.btn-primary-filled:hover,
.ContactSubmit:hover {
    background-color: rgb(var(--secondary-color));
}

.btn-secondary-filled {
    color: rgb(var(--white-color));
    background-color: rgb(var(--secondary-color));
}

.btn-secondary-filled:hover {
    background-color: rgb(var(--primary-color));
}

/* Arrow link */
.arrow-link {
    padding-right: 1rem;
    font-size: var(--base-size);
    color: rgb(var(--gray-dark-color));
    text-decoration: none;
}

.arrow-link::after {
    content: ' \f105';
    display: inline-block;
    margin-left: 1rem;
    font-weight: 400;
    font-family: 'Font Awesome 5 Pro';
    transition: transform .4s ease;
}

.arrow-link:hover::after,
a.card-item:hover .arrow-link::after {
    transform: translateX(1rem);
    transition: transform .4s ease;
}

/* Arrow link down */
.arrow-link.arrow-down::after {
    content: ' \f078';
}

a.arrow-link.arrow-down:hover::after {
    transform: translateY(.3rem);
    transition: transform .4s ease;
}

a.arrow-link.arrow-down.is-clicked::after {
    transform: rotate(180deg);
}

a.arrow-link.arrow-down.is-clicked:hover::after {
    transform: rotate(180deg) translateY(.3rem);
}

/* Farger
========================================================================== */
/* Bakgrunder */
.bg-primary {
    background-color: rgb(var(--primary-color));
}

.bg-secondary {
    background-color: rgb(var(--secondary-color));
}

.bg-gray-light {
    background-color: rgb(var(--gray-light-color));
}

/* Text */
.text-primary {
    color: rgb(var(--primary-color));
}

.text-secondary-light {
    color: rgb(var(--secondary-light-color));
}

.text-white {
    color: rgb(var(--white-color));
}

/* Bakgrundsbilder och videos 
========================================================================== */
.bg-image,
.bg-video {
    position: relative;
    overflow: hidden;
}

.bg-image-wrapper,
.bg-video-wrapper {
    z-index: -1;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* Video */
.bg-video-wrapper video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Parallax */
.parallax {
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
}

.parallax .section-block {
    min-height: 40rem;
    background-color: rgb(var(--black-color), .4);
    align-content: center;
}

/* Bilder */
.parallax-varmhallningsfat {
    background-image: url('/assets/images/varmhallningsfat-2000px.jpg');
}

@media only screen and (hover:none) {
    .parallax {
        background-attachment: scroll;
        background-position: center center;
    }
}

/* Cards
========================================================================== */
.cards-wrapper {
    display: flex;
    flex-wrap: wrap;
}

.cards-wrapper:not(.w-100) {
    margin-left: -1rem;
    margin-right: -1rem;
}

a.card-item {
    text-decoration: none;
}

/* Specifika klassar */
.cards-wrapper.justify-center {
    justify-content: center;
}

.cards-wrapper.align-flex-start {
    align-items: flex-start;
}

/* Bredder */
.cards-wrapper.w-25 .card-item {
    width: calc((100% / 4) - 2rem);
    margin: 1rem;
}

.cards-wrapper.w-33 .card-item {
    width: calc((100% / 3) - 2rem);
    margin: 1rem;
}

.cards-wrapper.w-50 .card-item {
    width: calc((100% / 2) - 2rem);
    margin: 1rem;
}

.cards-wrapper.w-100 .card-item {
    width: 100%;
    margin: 1rem 0;
}

@media only screen and (max-width: 1050px) {

    /* Bredder */
    .cards-wrapper.w-25 .card-item {
        width: calc((100% / 3) - 2rem);
        margin: 1rem;
    }

    .cards-wrapper.w-33 .card-item {
        width: calc((100% / 2) - 2rem);
        margin: 1rem;
    }
}

@media only screen and (max-width: 750px) {
    .cards-wrapper:not(.w-100) {
        margin-left: 0;
        margin-right: 0;
    }

    /* Bredder */
    .cards-wrapper.w-25 .card-item {
        width: calc((100% / 2) - 2rem);
        margin: 1rem;
    }

    .cards-wrapper.w-33 .card-item,
    .cards-wrapper.w-50 .card-item {
        width: 100%;
        margin: 1rem 0;
    }
}

@media only screen and (max-width: 580px) {

    /* Bredder */
    .cards-wrapper.w-25 .card-item {
        width: 100%;
        margin: 1rem 0;
    }

    /* Paddings */
    .cards-wrapper .p-3,
    .cards-wrapper .p-4 {
        padding: 2rem;
    }
}

/* Card 2-2 */
.card-2-2 a.card-item:hover {
    background: rgb(var(--secondary-color));
}

.card-2-2 .card-header i {
    font-size: 3.5rem;
}

.card-2-2 .small-title {
    line-height: 1;
}

@media only screen and (max-width: 580px) {
    .card-2-2 .card-item {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .card-2-2 .card-header {
        margin-bottom: 0;
        margin-right: 1rem;
    }

    .card-2-2 .card-header i {
        font-size: 3rem;
    }
}

/* Card 2-5 */
.card-2-5 .card-item {
    display: flex;
    align-items: center;
}

.card-2-5 .card-header {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;
    width: 7rem;
    height: 7rem;
    border-radius: 50%;
}

.card-2-5 .card-header i {
    font-size: 3rem;
}

.card-2-5 .card-body {
    padding: 0 2rem;
}

.card-2-5 .card-item .text-label,
.card-2-5 .card-item p {
    transition: .3s ease;
}

.card-2-5 .card-item:hover .text-label,
.card-2-5 .card-item:hover p {
    color: rgb(var(--primary-color));
}

@media only screen and (max-width: 580px) {
    .card-2-5 .card-item {
        padding: 0;
    }

    .card-2-5 .card-header {
        width: 4rem;
        height: 4rem;
    }

    .card-2-5 .card-header i {
        font-size: 1.5rem;
    }
}

/* Cards 3-5 */
.card-3-5 .card-item {
    position: relative;
}

.card-3-5 .image-wrapper {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.card-3-5 .image-wrapper::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(var(--black-color), .4);
    transition: .3s ease;
}

.card-3-5 .card-item:hover .image-wrapper::after {
    background: rgba(var(--black-color), .6);
}

.card-3-5 .card-body {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: 30rem;
    border-bottom: none;
}

.card-3-5 .card-footer {
    z-index: 1;
    position: relative;
    display: flex;
    text-transform: uppercase;
}

.card-3-5 .card-footer::before,
.card-3-5 .card-footer::after {
    position: relative;
    display: inline-block;
    content: '';
    flex: 1 1 0px;
    border-bottom: 1px solid rgb(var(--white-color));
}

.card-3-5 .card-footer::before {
    margin-right: 2rem;
    border-left: 1px solid rgb(var(--white-color));
}

.card-3-5 .card-footer::after {
    margin-left: 2rem;
    border-right: 1px solid rgb(var(--white-color));
}

.card-3-5 .arrow-link {
    align-self: flex-end;
    font-size: 1.4rem;
    transform: translateY(50%);
}

@media only screen and (max-width: 680px) {
    .card-3-5 .card-body {
        min-height: 15rem;
    }
}

/* Grafiska element
========================================================================== */
/* Borders */
.border-white {
    border: 1px solid rgb(var(--white-color));
}

/* Inre border */
.offset-white {
    outline: 1px solid rgb(var(--white-color));
    outline-offset: -11px;
}

@media only screen and (max-width: 580px) {
    .offset-white {
        outline: 1px solid rgb(var(--white-color));
        outline-offset: -5px;
    }
}

/* Split wrapper
========================================================================== */
.split-wrapper {
    display: flex;
    flex-wrap: wrap;
}

.split-wrapper.reverse {
    flex-direction: row-reverse;
}

.split-content {
    width: 50%;
    padding: 5rem;
    flex-grow: 1;
}

.split-image {
    width: 50%;
}

/* Centrera content */
.split-wrapper.justify-center {
    justify-content: center;
}

.split-wrapper .align-center {
    align-self: center;
}

/* Speciella margins */
.split-wrapper .ml--18rem {
    z-index: 1;
    position: relative;
    margin-left: -18rem;
}

.split-wrapper .mr--18rem {
    z-index: 1;
    position: relative;
    margin-right: -18rem;
}

/* Speciella bredder */
.split-wrapper .w-60 {
    width: 60%;
}

.split-wrapper .w-40 {
    width: 40%;
}

@media screen and (max-width: 1300px) {
    .split-content {
        padding: 3rem;
    }
}

@media screen and (max-width: 1100px) {

    .split-content,
    .split-wrapper .w-60,
    .split-wrapper .w-40 {
        width: 100%;
    }

    .split-image {
        width: 100%;
        min-height: 30rem;
    }

    /* Speciella margins */
    .split-wrapper .ml--18rem {
        margin-left: 0;
        margin-bottom: 2rem;
    }

    .split-wrapper .mr--18rem {
        margin-right: 0;
        margin-bottom: 2rem;
    }
}

@media screen and (max-width: 580px) {
    .split-content {
        padding: 4rem 2rem;
    }
}

/* Header / Navigation
========================================================================== */
/* Logo */
.header-logo {
    margin: 0 auto 0 0;
}

.header-logo a {
    font-size: 3.5rem;
    font-weight: 300;
    line-height: 1;
    text-decoration: none;
    font-family: "Stardos Stencil", system-ui;
}

/* Nav */
.TemplateMenu a {
    font-family: 'Yanone Kaffeesatz', sans-serif;
    font-weight: 400;
    font-size: 1.6rem;
    text-transform: uppercase;
    letter-spacing: .1rem;
    color: rgb(var(--black-color));
}

/* CTA */
.header-cta-wrapper {
    position: relative;
    z-index: 9;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding: 0;
    margin: 0 0 0 4rem;
    list-style: none;
}

.header-cta-wrapper li {
    margin: 0 .5rem;
}

.header-cta-wrapper .btn {
    min-width: unset;
    padding: 1rem 2rem;
    line-height: 1;
}

/* Mobilmeny */
.mobile-menu .hamburger {
    flex-shrink: 0;
}

.mobile-menu .TemplateMenu li {
    padding: 0 2rem;
}

@media only screen and (max-width: 1200px) {

    /* Header logo */
    .header-logo a {
        font-size: 2.7rem;
    }
}

@media only screen and (max-width: 580px) {

    /* Header logo */
    .header-logo a {
        font-size: 2.2rem;
    }

    /* CTA */
    .header-cta-wrapper {
        margin: 0 0 0 2rem;
    }

    .header-cta-wrapper .btn {
        padding: 0.7rem 1.1rem;
    }
}

/* ==========================================================================
Startsida
========================================================================== */

/* Top-section
========================================================================== */
.top-section {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: calc(89vh - var(--menu-height));
    background-color: rgb(var(--black-color), .3);
    text-align: center;
}

.top-section .section-block {
    width: 100%;
}

.top-section .text-block-center {
    max-width: 100rem;
}

.top-section .section-title {
    font-size: 6rem;
}

@media only screen and (max-width: 1024px) {
    .top-section .section-title {
        font-size: 4.5rem;
    }

    .top-section .text-block-center {
        max-width: 50rem;
    }
}

@media only screen and (max-width: 580px) {
    .top-section .section-title {
        font-size: 3.5rem;
    }
}

/* Utbud
========================================================================== */
@media only screen and (max-width: 1400px) {
    .section-offer .cards-wrapper.w-25 .card-item {
        width: calc((100% / 2) - 2rem);
        margin: 1rem;
    }
}

@media only screen and (max-width: 680px) {
    .section-offer .cards-wrapper.w-25 .card-item {
        width: 100%;
        margin: 1rem 0;
    }
}

/* ==========================================================================
Undersidor
========================================================================== */

/* Hero - Grundkod
========================================================================== */
.hero {
    display: flex;
    align-items: center;
    min-height: 45rem;
    background: linear-gradient(90deg, rgba(var(--black-color), .2) 0%, rgba(var(--black-color), .5) 0%, rgba(var(--black-color), .0) 100%);
}

.hero .section-block {
    width: 100%;
}

.hero .section-title {
    font-size: 5rem;
}

@media only screen and (max-width: 780px) {
    .hero .section-title {
        font-size: 4rem;
    }
}

@media only screen and (max-width: 580px) {
    .hero {
        min-height: 30rem;
    }

    .hero .section-title {
        font-size: 3.3rem;
    }
}

/* Formular
========================================================================== */
/* 2 split inputs*/
.form-split .ContactForm {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.form-split .ContactForm>div {
    width: 49%;
}

.form-split .ContactForm>div.radio-field,
.form-split .ContactForm>div.checkbox-field,
.form-split .ContactForm>div.textarea-field,
.form-split .ContactForm>div.submit-button-container {
    width: 100%;
}

@media only screen and (max-width: 680px) {
    .form-split .ContactForm>div {
        width: 100%;
    }
}

/* Generellt */
.asterisk p:after {
    line-height: 1;
}

.section-contact .ContactForm>div.option-field,
.section-contact .ContactForm>div.radio-field,
.section-contact .ContactForm>div.checkbox-field,
.section-contact .ContactForm>div.date-field,
.section-contact .ContactForm>div.file-field,
.section-contact .ContactForm>div.textarea-field,
.section-contact .ContactForm>div.submit-button-container {
    width: 100%;
}

.ContactForm input[type="text"],
.ContactForm input[type="number"],
.ContactForm input[type="email"],
.ContactForm input[type="tel"],
.ContactForm input[type="date"],
.ContactForm input[type="datetime-local"],
.ContactForm select,
.ContactForm textarea,
.ContactForm .file-item,
.ContactForm .file-dropzone {
    border: none;
    border-bottom: 1px solid rgb(var(--primary-color));
}

.ContactForm input[type="text"]:not(.illegal),
.ContactForm input[type="number"]:not(.illegal),
.ContactForm input[type="email"]:not(.illegal),
.ContactForm input[type="tel"]:not(.illegal),
.ContactForm input[type="date"]:not(.illegal),
.ContactForm input[type="datetime-local"]:not(.illegal),
.ContactForm select:not(.illegal),
.ContactForm textarea:not(.illegal),
.ContactForm .file-dropzone:not(.illegal) {
    background-color: rgb(var(--white-color));
}

.ContactForm .submit-button-container,
.ContactForm .ContactSubmit {
    margin-bottom: 0;
}

/* ==========================================================================
Undersida: Catering
========================================================================== */

/* Buffé
========================================================================== */
/* Card 1-1 */
.section-buffet .card-1-1 .small-title {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

/* ==========================================================================
Undersida: Kontakt
========================================================================== */
.section-contact .col-1 {
    outline: 1px solid rgb(var(--primary-color));
    outline-offset: -11px;
    border: 5px solid rgb(var(--primary-color));
    padding: 5rem;
}

@media only screen and (max-width: 980px) {
    .section-contact .col-1 {
        margin-top: 3rem;
        padding: 3rem;
    }
}

@media only screen and (max-width: 580px) {
    .section-contact .col-1 {
        padding: 2rem;
    }
}

/* ==========================================================================
Footer
========================================================================== */
.footer {
    background-color: rgb(var(--secondary-color));
    padding: 0 5rem;
}

/* Footer top */
.footer-top {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 8rem 0 4rem;
}

.footer-menu {
    width: 20%;
    margin: 0 0 3rem;
}

.footer-menu-large {
    width: 30%;
}

.footer .text-label {
    color: rgb(var(--white-color));
}

.footer ul {
    padding: 0;
    margin: 0;
    list-style: none;
}

.footer-top li,
.footer-top p,
.footer-top a {
    color: rgb(var(--white-color));
}

/* Link Menu */
.link-menu {
    display: flex;
    flex-wrap: wrap;
    list-style: none;
    padding: 0;
    margin: 0;
    border-bottom: 1px solid rgb(var(--white-color), .5);
}

.link-menu li {
    color: rgb(var(--white-color));
    margin: 1rem 1rem 1rem 0;
}

/* Footer bottom */
.footer-bottom {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    padding: 2rem 0;
}

.footer-bottom p,
.footer-bottom a {
    font-size: 1.4rem;
    line-height: 1.6;
    color: rgb(var(--white-color));
}

/* WebbEss Stamp */
.footer .webbess-stamp {
    display: flex;
    align-items: center;
    text-decoration: none;
}

.webbess-stamp img {
    width: 2.5rem;
    margin-left: 1rem;
    filter: invert();
}

@media only screen and (max-width: 1024px) {
    .footer {
        padding: 0 3rem;
    }

    /* Footer top */
    .footer-menu {
        width: 48%;
    }

    .footer-menu-large {
        width: 100%;
    }

    .footer-menu-large p {
        max-width: 55rem;
    }
}

@media only screen and (max-width: 750px) {

    /* Footer top */
    .footer-menu,
    .footer-menu-large {
        width: 100%;
    }
}

@media only screen and (max-width: 580px) {
    .footer {
        padding: 0 2rem;
    }
}